### Method

# WebKit2WebExtension DOMDOMWindow prompt

deprecated: 2.22 since: 2.16

#### Declaration [src]

    gchar*
    webkit_dom_dom_window_prompt (
      WebKitDOMDOMWindow* self,
      const gchar* message,
      const gchar* defaultValue
    )

#### Description

No description available.

Available since: 2.16

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`message`

  Type: `const gchar*`

  A #gchar.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`defaultValue`

  Type: `const gchar*`

  A #gchar.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

A #gchar.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.